using DDUtilityApp.SECS;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DDUtilityApp.LOGPARSER
{
    public partial class FrmSecsDefine : Form
    {

        
        public SECSDefine SECSDefine { get; set; }

        public FrmSecsDefine()
        {
            InitializeComponent();

            this.SetLayout();
            this.SetEventHandler();
        }

        public FrmSecsDefine(SECSDefine secsDefine) : this()
        {
            this.SECSDefine = secsDefine;
            this.SetMessage();
        }

        protected void SetLayout()
        {
            this.tboxMessage.Font = new Font("돋움체", 9.0F);
            this.tboxMessage.WordWrap = false;
        }

        protected void SetEventHandler()
        {

        }

        private void SetMessage()
        {
            if (this.SECSDefine == null) return;

            StringBuilder sb = new StringBuilder();
            foreach (CEID ceid in this.SECSDefine.CeidCollection.OrderBy(item => int.Parse(item.ID)))
            {
                sb.AppendLine(ceid.ToXml());
                sb.AppendLine();
            }
            this.tboxMessage.Text = sb.ToString();
            this.tboxMessage.SelectionStart = 0;
        }

    }

}
